declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly title: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly name: {
        readonly type: import("vue").PropType<import("./common").CollapseActiveName>;
        readonly default: () => number;
    };
    readonly disabled: BooleanConstructor;
}>, {
    arrow: import("vue").ComputedRef<string>;
    arrowKls: import("vue").ComputedRef<string[]>;
    headKls: import("vue").ComputedRef<(string | {
        focusing: boolean;
    })[]>;
    rootKls: import("vue").ComputedRef<string[]>;
    itemWrapperKls: import("vue").ComputedRef<string[]>;
    itemContentKls: import("vue").ComputedRef<string>;
    scopedContentId: import("vue").ComputedRef<string>;
    scopedHeadId: import("vue").ComputedRef<string>;
    focusing: import("vue").Ref<boolean, boolean>;
    isActive: import("vue").ComputedRef<any>;
    handleFocus: () => void;
    handleHeaderClick: () => void;
    handleEnterClick: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly title: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly name: {
        readonly type: import("vue").PropType<import("./common").CollapseActiveName>;
        readonly default: () => number;
    };
    readonly disabled: BooleanConstructor;
}>> & Readonly<{}>, {
    readonly name: import("./common").CollapseActiveName;
    readonly disabled: boolean;
    readonly title: string;
}, {}, {
    FadeInExpandTransition: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        appear: BooleanConstructor;
        group: BooleanConstructor;
        mode: import("vue").PropType<"default" | "in-out" | "out-in">;
        onLeave: FunctionConstructor;
        onAfterLeave: FunctionConstructor;
        onAfterEnter: FunctionConstructor;
        width: BooleanConstructor;
        reverse: BooleanConstructor;
    }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        appear: BooleanConstructor;
        group: BooleanConstructor;
        mode: import("vue").PropType<"default" | "in-out" | "out-in">;
        onLeave: FunctionConstructor;
        onAfterLeave: FunctionConstructor;
        onAfterEnter: FunctionConstructor;
        width: BooleanConstructor;
        reverse: BooleanConstructor;
    }>> & Readonly<{}>, {
        reverse: boolean;
        group: boolean;
        appear: boolean;
        width: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    RightOutlined: (props?: import("../icon/IconWrapper").IconProps) => import("vue/jsx-runtime").JSX.Element;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
